Subject: Re: bug#18336: 24.4.50; When editing externally changed file, Emacs asks too many questions

From: David Kastrup <[email-masked]>
Date: Mon, 02 Mar 2020 10:53:46 +0100

Stefan Kangas <[email-masked]> writes:

> OK, I tried saving a file in my home directory instead, and now I
> didn't see the second "changed on disk" message.  (That is, I see the
> same thing that Eli described.)
>
> Testing it a bit more, I was able to trigger the second message again,
> but only once.
>
> ---
>
> Investigating even further (on current master), I think I now have
> that:
>
> a. In my home directory, I consistently see the message.  (David's case)
> b. In "/tmp" I consistently do *not* see the message.  (Eli's case)
>
> So I guess the second message is triggered only under specific
> circumstances?
>
> (But even the above conclusion is confusing, since I also saw the
> message (but only once) even when I saved in "/home".  And I don't see
> why saving in a different directory should matter...)

Mount options?  Time stamp granularity?

The file system I encountered this initially on is

/dev/sda7 on /usr/local type ext4 (rw,noatime,discard,data=ordered)

and my /tmp file system where I also saw this is

/dev/sda5 on / type ext4 (rw,noatime,discard)

I don't know whether Emacs uses /run/lock , if it does that would be

tmpfs on /run/lock type tmpfs (rw,nosuid,nodev,noexec,relatime,size=5120k)

The noatime option is because this is an SSD where I want to minimize
write wear.

-- 
David Kastrup